#include "wspr.h"

#include <util/delay.h>


void wspr_transmit(enum si5351_multisynth synth, uint8_t *msg) {
	si5351_ms_enable_output(synth);
	for(uint8_t i = 0; i < WSPR_LENGTH; i++) {
		uint8_t sym = msg[i];
		si5351_ms_write_params(synth, WSPR_SYMBOLS[sym]);
		_delay_ms(WSPR_PERIOD);
	}
	si5351_ms_disable_output(synth);
}
